var POLITICO_RED = '#DC0228';
var POLITICO_DARK_RED = '#AC0825';
var POLITICO_LIGHT_BACKGROUND = '#F4F5F7';
var POLITICO_LINE = '#E5E7EB';
var POLITICO_LIGHT_GRAY_TYPE = '#B1B4BD';
var POLITICO_DARK_GRAY_TYPE = '#6E7381';
var POLITICO_BLACK = '#282D40';
var POLITICO_MAGAZINE = '#121522';
var POLITICO_BLUE = '#007BC7';
var POLITICO_ORANGE = '#F86F00';
var POLITICO_LIGHT_GRAY = POLITICO_LINE;
var POLITICO_MEDIUM_GRAY = POLITICO_DARK_GRAY_TYPE;
var POLITICO_DARK_GRAY = '#666';
var POLITICO_ALT_BLACK = '#282828';

var brand = /*#__PURE__*/Object.freeze({
  __proto__: null,
  POLITICO_RED: POLITICO_RED,
  POLITICO_DARK_RED: POLITICO_DARK_RED,
  POLITICO_LIGHT_BACKGROUND: POLITICO_LIGHT_BACKGROUND,
  POLITICO_LINE: POLITICO_LINE,
  POLITICO_LIGHT_GRAY_TYPE: POLITICO_LIGHT_GRAY_TYPE,
  POLITICO_DARK_GRAY_TYPE: POLITICO_DARK_GRAY_TYPE,
  POLITICO_BLACK: POLITICO_BLACK,
  POLITICO_MAGAZINE: POLITICO_MAGAZINE,
  POLITICO_BLUE: POLITICO_BLUE,
  POLITICO_ORANGE: POLITICO_ORANGE,
  POLITICO_LIGHT_GRAY: POLITICO_LIGHT_GRAY,
  POLITICO_MEDIUM_GRAY: POLITICO_MEDIUM_GRAY,
  POLITICO_DARK_GRAY: POLITICO_DARK_GRAY,
  POLITICO_ALT_BLACK: POLITICO_ALT_BLACK
});

var TRANSPARENT = 'transparent';
var BLACK = '#000000';
var SATAN = '#666';
var WHITE = '#FFFFFF';
var GRAY = POLITICO_LIGHT_GRAY_TYPE;
var LIGHT_GRAY = POLITICO_LINE;
var DARK_GRAY = SATAN;
var MEDIUM_GRAY = POLITICO_DARK_GRAY_TYPE; // OFTEN USED

var MIDNIGHT = '#312B41';
var POSITIVE = '#75CCCA';
var NEGATIVE = '#EF8B67';
var YES = POSITIVE;
var NO = NEGATIVE; // ELEMENT COLORS

var FACEBOOK = '#3B5998';
var TWITTER = '#00ACED';
var MAIL = POLITICO_DARK_GRAY_TYPE;
var LINK = POLITICO_BLUE;
var LINK_HOVER = '#0E9AF3';
var BUTTON = POLITICO_LINE;
var ANNOTATION = '#FFF1DF';
var ANNOTATION_HOVER = '#FFF9F1';
var HIGHLIGHTER_YELLOW = '#FFFAB7';
var HIGHLIGHTER_ORANGE = '#F9D289';

var base = /*#__PURE__*/Object.freeze({
  __proto__: null,
  TRANSPARENT: TRANSPARENT,
  BLACK: BLACK,
  SATAN: SATAN,
  WHITE: WHITE,
  GRAY: GRAY,
  LIGHT_GRAY: LIGHT_GRAY,
  DARK_GRAY: DARK_GRAY,
  MEDIUM_GRAY: MEDIUM_GRAY,
  MIDNIGHT: MIDNIGHT,
  POSITIVE: POSITIVE,
  NEGATIVE: NEGATIVE,
  YES: YES,
  NO: NO,
  FACEBOOK: FACEBOOK,
  TWITTER: TWITTER,
  MAIL: MAIL,
  LINK: LINK,
  LINK_HOVER: LINK_HOVER,
  BUTTON: BUTTON,
  ANNOTATION: ANNOTATION,
  ANNOTATION_HOVER: ANNOTATION_HOVER,
  HIGHLIGHTER_YELLOW: HIGHLIGHTER_YELLOW,
  HIGHLIGHTER_ORANGE: HIGHLIGHTER_ORANGE
});

// teal_dirt
var TEAL1 = '#196B66';
var TEAL2 = '#218C86';
var TEAL3 = '#26B1AA';
var TEAL4 = '#8CD1CE';
var TEAL5 = '#BCDEDD';
var DIRT_TEAL = '#E9F0EC';
var DIRT5 = '#D2D3C4';
var DIRT4 = '#BBA88F';
var DIRT3 = '#9E7A4C';
var DIRT2 = '#784C11';
var DIRT1 = '#5D3B0F';
var TEAL_TO_DIRT = [TEAL1, TEAL2, TEAL3, TEAL4, TEAL5, DIRT_TEAL, DIRT5, DIRT4, DIRT3, DIRT2, DIRT1]; // moss_sapphire

var MOSS1 = '#959632';
var MOSS2 = '#A8A74E';
var MOSS3 = '#A8A74E';
var MOSS4 = '#CFCB83';
var MOSS5 = '#E3DD9E';
var SAPPHIRE_MOSS = '#F6F0B9';
var SAPPHIRE5 = '#D6D2BD';
var SAPPHIRE4 = '#B4B5C0';
var SAPPHIRE3 = '#909AC2';
var SAPPHIRE2 = '#667FC3';
var SAPPHIRE1 = '#2166C3';
var MOSS_TO_SAPPHIRE = [MOSS1, MOSS2, MOSS3, MOSS4, MOSS5, SAPPHIRE_MOSS, SAPPHIRE5, SAPPHIRE4, SAPPHIRE3, SAPPHIRE2, SAPPHIRE1];

var diverging = /*#__PURE__*/Object.freeze({
  __proto__: null,
  TEAL1: TEAL1,
  TEAL2: TEAL2,
  TEAL3: TEAL3,
  TEAL4: TEAL4,
  TEAL5: TEAL5,
  DIRT_TEAL: DIRT_TEAL,
  DIRT5: DIRT5,
  DIRT4: DIRT4,
  DIRT3: DIRT3,
  DIRT2: DIRT2,
  DIRT1: DIRT1,
  TEAL_TO_DIRT: TEAL_TO_DIRT,
  MOSS1: MOSS1,
  MOSS2: MOSS2,
  MOSS3: MOSS3,
  MOSS4: MOSS4,
  MOSS5: MOSS5,
  SAPPHIRE_MOSS: SAPPHIRE_MOSS,
  SAPPHIRE5: SAPPHIRE5,
  SAPPHIRE4: SAPPHIRE4,
  SAPPHIRE3: SAPPHIRE3,
  SAPPHIRE2: SAPPHIRE2,
  SAPPHIRE1: SAPPHIRE1,
  MOSS_TO_SAPPHIRE: MOSS_TO_SAPPHIRE
});

// election_colors
var DEM = '#3571C0';
var DEM_LIGHT = '#9AD3FC';
var GOP = '#FE5C40';
var GOP_LIGHT = '#FFB2CB'; /// ____DEM____///

var DEM1 = DEM;
var DEM2 = '#D9C3A5';
var DEM3 = '#8998AB';
var DEM4 = DEM_LIGHT; // More Dem colors

var DEM5 = '#C3F4CD';
var DEM6 = '#5DAED4';
var DEM7 = '#8ABDC0';
var DEM8 = '#775180';
var DEM9 = '#FFD682';
var DEM10 = '#948064';
var DEM_ALTS = [DEM1, DEM2, DEM3, DEM4, DEM5, DEM6, DEM7, DEM8, DEM9, DEM10]; /// ____GOP____///

var GOP1 = GOP;
var GOP2 = '#B8948E';
var GOP3 = '#FBA723';
var GOP4 = GOP_LIGHT;
var GOP5 = '#B41E61';
var GOP6 = '#433E76';
var GOP7 = '#AC5141';
var GOP8 = '#7957B4';
var GOP9 = '#FEE0C2';
var GOP10 = '#FD87F7';
var GOP_ALTS = [GOP1, GOP2, GOP3, GOP4, GOP5, GOP6, GOP7, GOP8, GOP9, GOP10]; /// ____DEM to GOP ramp____///

var DEM_GOP1 = DEM;
var DEM_GOP2 = '#7392D0';
var DEM_GOP3 = '#A4B5E0';
var DEM_GOP4 = '#D2D9F0';
var GOP_DEM4 = '#FFD8CD';
var GOP_DEM3 = '#FFB19C';
var GOP_DEM2 = '#FF896D';
var GOP_DEM1 = GOP;
var DEM_TO_GOP = [DEM_GOP1, DEM_GOP2, DEM_GOP3, DEM_GOP4, 'fff', GOP_DEM4, GOP_DEM3, GOP_DEM2, GOP_DEM1];
var TEAL = '#6BD1BB';

var elections = /*#__PURE__*/Object.freeze({
  __proto__: null,
  DEM: DEM,
  DEM_LIGHT: DEM_LIGHT,
  GOP: GOP,
  GOP_LIGHT: GOP_LIGHT,
  DEM1: DEM1,
  DEM2: DEM2,
  DEM3: DEM3,
  DEM4: DEM4,
  DEM5: DEM5,
  DEM6: DEM6,
  DEM7: DEM7,
  DEM8: DEM8,
  DEM9: DEM9,
  DEM10: DEM10,
  DEM_ALTS: DEM_ALTS,
  GOP1: GOP1,
  GOP2: GOP2,
  GOP3: GOP3,
  GOP4: GOP4,
  GOP5: GOP5,
  GOP6: GOP6,
  GOP7: GOP7,
  GOP8: GOP8,
  GOP9: GOP9,
  GOP10: GOP10,
  GOP_ALTS: GOP_ALTS,
  DEM_GOP1: DEM_GOP1,
  DEM_GOP2: DEM_GOP2,
  DEM_GOP3: DEM_GOP3,
  DEM_GOP4: DEM_GOP4,
  GOP_DEM4: GOP_DEM4,
  GOP_DEM3: GOP_DEM3,
  GOP_DEM2: GOP_DEM2,
  GOP_DEM1: GOP_DEM1,
  DEM_TO_GOP: DEM_TO_GOP,
  TEAL: TEAL
});

// Four color qualitative schemes
var Q4_AQUA = '#4FC1E7';
var Q4_GREEN = '#6BAE80';
var Q4_GRAY = '#3D284D';
var Q4_PURPLE = '#694ED6';
var Q4 = {
  AQUA: Q4_AQUA,
  GREEN: Q4_GREEN,
  GRAY: Q4_GRAY,
  PURPLE: Q4_PURPLE
};
var Q6_TEAL = '#0D3C73';
var Q6_DARKBLUE = '#329CAC';
var Q6_AQUA = '#47BEF8';
var Q6_ORANGE = '#F95100';
var Q6_GOLD = '#F7A12D';
var Q6_DIRT = '#AB9F8F';
var Q6 = {
  TEAL: Q6_TEAL,
  DARKBLUE: Q6_DARKBLUE,
  AQUA: Q6_AQUA,
  ORANGE: Q6_ORANGE,
  GOLD: Q6_GOLD,
  DIRT: Q6_DIRT
}; // Maps

var Q7_GRAY = '#3D284D';
var Q7_BLUE = '#2F6CBA';
var Q7_GREEN = '#88C2B2';
var Q7_PEACH = '#FFCAB3';
var Q7_CAMEL = '#DFA486';
var Q7_RED = '#BD3232';
var Q7_YELLOW = '#EBEB35';
var Q7 = {
  GRAY: Q7_GRAY,
  BLUE: Q7_BLUE,
  GREEN: Q7_GREEN,
  PEACH: Q7_PEACH,
  CAMEL: Q7_CAMEL,
  RED: Q7_RED,
  YELLOW: Q7_YELLOW
}; // Qualitative pairs

var QP_GRAY = '#3D284D';
var QP_LIGHTGRAY = '#8E8E98';
var QP_PURPLE = '#7C7CE0';
var QP_LIGHTPURPLE = '#9D9DEA';
var QP_GREEN = '#9B9B52';
var QP_LIGHTGREEN = '#C6C677';
var PAIRS = {
  GRAY: [QP_GRAY, QP_LIGHTGRAY],
  PURPLE: [QP_PURPLE, QP_LIGHTPURPLE],
  GREEN: [QP_GREEN, QP_LIGHTGREEN]
};

var qualitative = /*#__PURE__*/Object.freeze({
  __proto__: null,
  Q4_AQUA: Q4_AQUA,
  Q4_GREEN: Q4_GREEN,
  Q4_GRAY: Q4_GRAY,
  Q4_PURPLE: Q4_PURPLE,
  Q4: Q4,
  Q6_TEAL: Q6_TEAL,
  Q6_DARKBLUE: Q6_DARKBLUE,
  Q6_AQUA: Q6_AQUA,
  Q6_ORANGE: Q6_ORANGE,
  Q6_GOLD: Q6_GOLD,
  Q6_DIRT: Q6_DIRT,
  Q6: Q6,
  Q7_GRAY: Q7_GRAY,
  Q7_BLUE: Q7_BLUE,
  Q7_GREEN: Q7_GREEN,
  Q7_PEACH: Q7_PEACH,
  Q7_CAMEL: Q7_CAMEL,
  Q7_RED: Q7_RED,
  Q7_YELLOW: Q7_YELLOW,
  Q7: Q7,
  QP_GRAY: QP_GRAY,
  QP_LIGHTGRAY: QP_LIGHTGRAY,
  QP_PURPLE: QP_PURPLE,
  QP_LIGHTPURPLE: QP_LIGHTPURPLE,
  QP_GREEN: QP_GREEN,
  QP_LIGHTGREEN: QP_LIGHTGREEN,
  PAIRS: PAIRS
});

// Sequential Money _ Foam
var MONEY_FOAM1 = '#46825A';
var MONEY_FOAM2 = '#5D926D';
var MONEY_FOAM3 = '#73A281';
var MONEY_FOAM4 = '#88B395';
var MONEY_FOAM5 = '#9FC4AA';
var MONEY_FOAM6 = '#B6D4BF';
var MONEY_FOAM7 = '#CCE6D5';
var MONEY_FOAM8 = '#E4F7EB';
var MONEY_TO_FOAM = [MONEY_FOAM1, MONEY_FOAM2, MONEY_FOAM3, MONEY_FOAM4, MONEY_FOAM5, MONEY_FOAM6, MONEY_FOAM7, MONEY_FOAM8]; // Sequential Sangria _ Peach

var SANGRIA_PEACH1 = '#7A0001';
var SANGRIA_PEACH2 = '#972516';
var SANGRIA_PEACH3 = '#B2422C';
var SANGRIA_PEACH4 = '#CC5F44';
var SANGRIA_PEACH5 = '#E37E61';
var SANGRIA_PEACH6 = '#F59E82';
var SANGRIA_PEACH7 = '#FFC1AA';
var SANGRIA_PEACH8 = '#FFE5D8';
var SANGRIA_TO_PEACH = [SANGRIA_PEACH1, SANGRIA_PEACH2, SANGRIA_PEACH3, SANGRIA_PEACH4, SANGRIA_PEACH5, SANGRIA_PEACH6, SANGRIA_PEACH7, SANGRIA_PEACH8]; // Sequential Red_Yellow

var RED_YELLOW1 = '#E53516';
var RED_YELLOW2 = '#EC5624';
var RED_YELLOW3 = '#F17233';
var RED_YELLOW4 = '#F68A41';
var RED_YELLOW5 = '#FAA050';
var RED_YELLOW6 = '#FDB75F';
var RED_YELLOW7 = '#FECD6F';
var RED_YELLOW8 = '#FFE37E';
var RED_TO_YELLOW = [RED_YELLOW1, RED_YELLOW2, RED_YELLOW3, RED_YELLOW4, RED_YELLOW5, RED_YELLOW6, RED_YELLOW7, RED_YELLOW8];

var sequential = /*#__PURE__*/Object.freeze({
  __proto__: null,
  MONEY_FOAM1: MONEY_FOAM1,
  MONEY_FOAM2: MONEY_FOAM2,
  MONEY_FOAM3: MONEY_FOAM3,
  MONEY_FOAM4: MONEY_FOAM4,
  MONEY_FOAM5: MONEY_FOAM5,
  MONEY_FOAM6: MONEY_FOAM6,
  MONEY_FOAM7: MONEY_FOAM7,
  MONEY_FOAM8: MONEY_FOAM8,
  MONEY_TO_FOAM: MONEY_TO_FOAM,
  SANGRIA_PEACH1: SANGRIA_PEACH1,
  SANGRIA_PEACH2: SANGRIA_PEACH2,
  SANGRIA_PEACH3: SANGRIA_PEACH3,
  SANGRIA_PEACH4: SANGRIA_PEACH4,
  SANGRIA_PEACH5: SANGRIA_PEACH5,
  SANGRIA_PEACH6: SANGRIA_PEACH6,
  SANGRIA_PEACH7: SANGRIA_PEACH7,
  SANGRIA_PEACH8: SANGRIA_PEACH8,
  SANGRIA_TO_PEACH: SANGRIA_TO_PEACH,
  RED_YELLOW1: RED_YELLOW1,
  RED_YELLOW2: RED_YELLOW2,
  RED_YELLOW3: RED_YELLOW3,
  RED_YELLOW4: RED_YELLOW4,
  RED_YELLOW5: RED_YELLOW5,
  RED_YELLOW6: RED_YELLOW6,
  RED_YELLOW7: RED_YELLOW7,
  RED_YELLOW8: RED_YELLOW8,
  RED_TO_YELLOW: RED_TO_YELLOW
});

export { base as BASE, brand as BRAND, diverging as DIVERGING, elections as ELECTIONS, qualitative as QUALITATIVE, sequential as SEQUENTIAL };
